.breadcrumbs-wrapper[data-v-16364532] {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 8px;
}
.breadcrumbs-font[data-v-16364532] {
  font-size: 1.5rem;
  font-weight: bold;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}
.breadcrumb-items[data-v-16364532] {
  display: inline-flex;
  align-items: center;
  margin-right: 6px;
}
.breadcrumb-text[data-v-16364532] {
  max-width: 250px;
  display: inline-block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.breadcrumb-separator[data-v-16364532] {
  margin: 0 4px;
}
.anchor-text[data-v-16364532] {
  cursor: pointer;
  color: #007bff;
}
.anchor-text[data-v-16364532]:hover {
  text-decoration: underline;
  color: #007bff;
}
@media screen and (max-width: 1024px) {
.sm-flex-column[data-v-16364532] {
    flex-direction: column;
    gap: 18px;
}
}
.cancel-btn[data-v-16364532] {
  width: 100%;
  margin-bottom: 8px;
  font-weight: bold;
}
.cancel-btn[data-v-16364532]:hover {
  background-color: #cbcbcb;
}
.success-btn[data-v-16364532] {
  width: 100%;
  font-weight: bold;
}
[data-v-73d0c266] .modal-header {
  border-bottom: none;
}
[data-v-73d0c266] .modal-body {
  padding: 1rem;
}
[data-v-73d0c266] .modal-footer {
  padding-top: 0;
  display: block;
  border-top: none;
}
.active-button[data-v-73d0c266] {
  gap: 16px;
  display: flex;
  align-items: center;
}
.cancel-btn[data-v-73d0c266] {
  width: 100%;
  margin-bottom: 8px;
  font-weight: bold;
}
.cancel-btn[data-v-73d0c266]:hover {
  background-color: #cbcbcb;
}
.success-btn[data-v-73d0c266] {
  width: 100%;
  font-weight: bold;
}
.text-warning-dayrobo[data-v-73d0c266] {
  color: #ed6c28;
}
.search-container[data-v-7e923ee1] {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.search-input-container[data-v-7e923ee1] {
  position: relative;
  flex: 1;
}
.search-icon[data-v-7e923ee1] {
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: #adb5bd;
  pointer-events: none;
  font-size: 20px;
}
.search-input[data-v-7e923ee1] {
  width: 100%;
  height: 44px;
  padding: 8px 12px 8px 36px;
  font-size: 14px;
  border: 1px solid #b8c7ce;
  border-radius: 6px;
  box-sizing: border-box;
}
.search-button[data-v-7e923ee1] {
  height: 44px;
  min-width: 120px;
  margin-left: 8px;
  padding: 0 16px;
  border-radius: 6px;
  line-height: 1;
}
[data-v-2ebaa4e8] .card-body {
  padding: 0;
}
.action-button[data-v-2ebaa4e8] {
  display: inline-block;
  font-weight: bold;
  padding: 6px 10px 10px;
  border-radius: 50%;
  transition: background-color 0.3s;
  width: 2rem;
  height: 2rem;
  cursor: pointer;
}
.action-button[data-v-2ebaa4e8]:hover {
  background-color: #f0f0f0;
}
.button-select[data-v-2ebaa4e8] {
  background-color: #f0f0f0;
}
.action-table[data-v-2ebaa4e8] {
  display: flex;
  flex-wrap: wrap;
  gap: 0.2rem;
  background: #ffffff;
  border: 1px solid #e0e0e0;
  border-radius: 3px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}
.action-button-wrapper[data-v-2ebaa4e8] {
  position: relative;
  display: inline-block;
}
.action-table-wrapper[data-v-2ebaa4e8] {
  position: absolute;
  z-index: 100;
  top: 2rem;
  right: 1rem;
}
.icon-wrapper[data-v-2ebaa4e8] {
  width: 12px;
  height: 12px;
}
.info-wrapper[data-v-2ebaa4e8] {
  display: flex;
  align-items: center;
  width: 100%;
  transition: background-color 0.3s;
}
.info-wrapper[data-v-2ebaa4e8]:hover {
  background-color: #f0f0f0;
}
.info-button[data-v-2ebaa4e8] {
  border-top: 1px solid #e0e0e0;
  border-bottom: 1px solid #e0e0e0;
  border-left: none;
  border-right: none;
}
.action-collapse-button[data-v-2ebaa4e8] {
  margin: 0.1rem 0.75rem;
}
.action-collapse-button-info[data-v-2ebaa4e8] {
  margin: 0.1rem 0rem 0.1rem 0.75rem;
}
.collapse-table[data-v-2ebaa4e8] {
  position: relative;
}
.collapse-table-info-wrapper[data-v-2ebaa4e8] {
  position: absolute;
  z-index: 101;
  right: 8.5rem;
  bottom: -2rem;
}
.collapse-table .action-info-table[data-v-2ebaa4e8] {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 150px;
  gap: 0.2rem;
  padding: 0.5rem;
  background: #ffffff;
  border: 1px solid #e0e0e0;
  border-radius: 3px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}
.collapse-table .info-item[data-v-2ebaa4e8] {
  text-align: start;
}
.collapse-table .info-item span[data-v-2ebaa4e8] {
  font-size: 10px;
}
.permission-table[data-v-2ebaa4e8] {
  display: grid;
  margin: 0 16px;
}
.permission-table .table-header[data-v-2ebaa4e8] {
  display: grid;
  grid-template-columns: 300px auto;
  gap: 10px;
  font-weight: bold;
  border-bottom: 2px solid #ccc;
}
.permission-table .table-row[data-v-2ebaa4e8] {
  display: grid;
  grid-template-columns: 300px auto;
  align-items: center;
  gap: 10px;
  border-bottom: 1px solid #ccc;
}
.permission-table .cell[data-v-2ebaa4e8],
.permission-table .header-cell[data-v-2ebaa4e8] {
  padding: 5px;
  white-space: normal;
  word-wrap: break-word;
  overflow-wrap: break-word;
}
.permission-table .text-start[data-v-2ebaa4e8] {
  text-align: start;
}
.permission-title[data-v-2ebaa4e8] {
  font-size: 1.2rem;
  text-wrap: wrap;
  text-align: left;
}
.copy-url-wrapper[data-v-2ebaa4e8] {
  position: relative;
}
.copy-url-wrapper .copy-toast[data-v-2ebaa4e8] {
  position: absolute;
  top: -2.5rem;
  right: 3rem;
  background: #ebedef;
  padding: 0.5rem;
  border-radius: 3px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}
.copy-url-wrapper .copy-toast[data-v-2ebaa4e8]::before {
  content: "";
  width: 10px;
  height: 10px;
  background: #ebedef;
  -webkit-clip-path: polygon(0 0, 100% 0, 50% 100%);
          clip-path: polygon(0 0, 100% 0, 50% 100%);
  position: absolute;
  bottom: -8px;
  right: 20px;
}
.fade-enter-active[data-v-2ebaa4e8],
.fade-leave-active[data-v-2ebaa4e8] {
  transition: opacity 0.5s ease;
}
.fade-enter[data-v-2ebaa4e8],
.fade-leave-to[data-v-2ebaa4e8] {
  opacity: 0;
}
.title-header[data-v-1df83c9b] {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 12px;
}
[data-v-1df83c9b] .table-responsive {
  min-height: 40vh;
  padding-bottom: 250px;
}
[data-v-1df83c9b] .table td {
  text-align: center;
  vertical-align: middle;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
[data-v-1df83c9b] .table td.controls {
  overflow: visible;
}
[data-v-1df83c9b] .table th {
  width: 100px;
  min-width: 100px;
  text-align: center;
}
.max-width[data-v-1df83c9b] {
  max-width: 500px;
}
@media (max-width: 768px) {
.max-width[data-v-1df83c9b] {
    max-width: 300px;
}
}
@media (min-width: 769px) and (max-width: 1024px) {
.max-width[data-v-1df83c9b] {
    max-width: 330px;
}
}
@media (min-width: 1025px) and (max-width: 1280px) {
.max-width[data-v-1df83c9b] {
    max-width: 400px;
}
}
@media (min-width: 1281px) {
.max-width[data-v-1df83c9b] {
    max-width: 550px;
}
}
[data-v-df6180d8] .modal-header {
  border: none;
}
[data-v-df6180d8] .modal-footer {
  border: none;
}
